Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit OpenSceneGraph for openSUSE:Factory
Hello community,

here is the log from the commit of package OpenSceneGraph for openSUSE:Factory
checked in at 2019-04-04 12:07:33
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/OpenSceneGraph (Old)
and /work/SRC/openSUSE:Factory/.OpenSceneGraph.new.3908 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "OpenSceneGraph"

Thu Apr 4 12:07:33 2019 rev:9 rq:691006 version:3.6.3

Changes:
--------
--- /work/SRC/openSUSE:Factory/OpenSceneGraph/OpenSceneGraph.changes
2018-10-11 12:00:42.813622181 +0200
+++ /work/SRC/openSUSE:Factory/.OpenSceneGraph.new.3908/OpenSceneGraph.changes
2019-04-04 12:07:35.157430237 +0200
@@ -1,0 +2,6 @@
+Sun Mar 24 00:01:04 UTC 2019 - Stefan BrĂ¼ns <stefan.bruens@xxxxxxxxxxxxxx>
+
+- Add conflicts for the legacy libOpenSceneGraph1-devel and
+ libOpenThreads1-devel packages, which install into the same location.
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ OpenSceneGraph.spec ++++++
--- /var/tmp/diff_new_pack.7YygDE/_old 2019-04-04 12:07:36.617428852 +0200
+++ /var/tmp/diff_new_pack.7YygDE/_new 2019-04-04 12:07:36.617428852 +0200
@@ -18,11 +18,12 @@

%define _osg_so_nr 158
%define _opt_so_nr 21
-%if 0%{?suse_version} > 1320 || (0%{?suse_version} == 1315 && 0%{?is_opensuse})
+%if 0%{?is_opensuse}
%bcond_without gdal
%else
%bcond_with gdal
%endif
+
Name: OpenSceneGraph
Version: 3.6.3
Release: 0
@@ -83,10 +84,8 @@
%package -n libOpenSceneGraph%{_osg_so_nr}
Summary: Shared libraries for OpenSceneGraph
Group: System/Libraries
-%if "%{_osg_so_nr}" >= "130"
# try to cover up past mistakes
Obsoletes: libOpenSceneGraph100
-%endif

%description -n libOpenSceneGraph%{_osg_so_nr}
The OpenSceneGraph is a graphics toolkit for the development of
@@ -114,6 +113,7 @@
Requires: pkgconfig(openal)
Requires: pkgconfig(poppler-glib)
Requires: pkgconfig(xrandr)
+Conflicts: libOpenSceneGraph1-devel

%description -n libOpenSceneGraph-devel
The OpenSceneGraph is a graphics toolkit for the development of
@@ -142,6 +142,7 @@
Summary: OpenSceneGraph development files
Group: Development/Libraries/C and C++
Requires: libOpenThreads%{_opt_so_nr} = %{version}
+Conflicts: libOpenThreads1-devel

%description -n libOpenThreads-devel
The OpenSceneGraph is a graphics toolkit for the development of


< Previous Next >
This Thread
  • No further messages